# Generated by Django 2.2.12 on 2020-11-23 18:46

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Customer',
            fields=[
                ('id_customer', models.AutoField(primary_key=True, serialize=False, verbose_name='код покупателя')),
                ('name', models.CharField(max_length=50, verbose_name='имя покупателя')),
                ('surname', models.CharField(max_length=50, verbose_name='фамилия покупателя')),
                ('middle_name', models.CharField(max_length=50, verbose_name='отчество покупателя')),
                ('sex', models.CharField(max_length=50, verbose_name='пол покупателя')),
                ('date_of_birth', models.DateField(verbose_name='дата рождения')),
                ('email', models.EmailField(max_length=254, verbose_name='e-mail покупателя')),
                ('phone', models.CharField(max_length=20, verbose_name='номер телефона покупателя')),
                ('login', models.CharField(max_length=50, unique=True, verbose_name='логин')),
                ('password', models.CharField(max_length=200, verbose_name='пароль')),
            ],
            options={
                'verbose_name': 'Покупатель',
                'verbose_name_plural': 'Покупатели',
            },
        ),
        migrations.CreateModel(
            name='Order',
            fields=[
                ('id_order', models.AutoField(primary_key=True, serialize=False, verbose_name='код заказа')),
                ('amount', models.IntegerField(verbose_name='количество товара')),
                ('amount_of_money', models.IntegerField(verbose_name='общая стоимость')),
                ('order_date', models.DateField(verbose_name='дата заказа')),
                ('date_of_payment', models.DateField(verbose_name='дата оплаты')),
                ('note', models.TextField(verbose_name='комментарий к заказу')),
                ('status', models.CharField(max_length=50, verbose_name='статус заказа')),
                ('id_customer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='cakes.Customer')),
            ],
            options={
                'verbose_name': 'Заказ',
                'verbose_name_plural': 'Заказы',
            },
        ),
        migrations.CreateModel(
            name='Product',
            fields=[
                ('id_product', models.AutoField(primary_key=True, serialize=False, verbose_name='код товара')),
                ('name_product', models.CharField(max_length=100, verbose_name='название товара')),
                ('price', models.IntegerField(verbose_name='цена')),
                ('type_product', models.IntegerField(verbose_name='тип товара')),
                ('taste', models.IntegerField(verbose_name='вкус')),
                ('layers', models.IntegerField(verbose_name='коржи')),
                ('filling', models.IntegerField(verbose_name='начинка')),
                ('tiers', models.IntegerField(verbose_name='ярусы')),
                ('photo', models.CharField(max_length=100, verbose_name='название файла с фото')),
            ],
            options={
                'verbose_name': 'Товар',
                'verbose_name_plural': 'Товары',
            },
        ),
        migrations.CreateModel(
            name='Report',
            fields=[
                ('id_report', models.AutoField(primary_key=True, serialize=False, verbose_name='код отчета')),
                ('date_report', models.DateField(verbose_name='дата формирования отчета')),
                ('id_order', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='cakes.Order')),
            ],
            options={
                'verbose_name': 'Отчет',
                'verbose_name_plural': 'Отчеты',
            },
        ),
        migrations.AddField(
            model_name='order',
            name='id_product',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='cakes.Product'),
        ),
    ]
